package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 课程-时间对象 course_table_time
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public class CourseTableTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学校id */
    private String schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 第一节课开始时间 */
    @Excel(name = "第一节课开始时间")
    private String oneStartTime;

    /** 第一节课结束时间 */
    @Excel(name = "第一节课结束时间")
    private String oneEndTime;

    /** 第二节课开始时间 */
    @Excel(name = "第二节课开始时间")
    private String twoStartTime;

    /** 第二节课结束时间 */
    @Excel(name = "第二节课结束时间")
    private String twoEndTime;

    /** 第三节课开始时间 */
    @Excel(name = "第三节课开始时间")
    private String threeStartTime;

    /** 第三节课结束时间 */
    @Excel(name = "第三节课结束时间")
    private String threeEndTime;

    /** 第四节课开始时间 */
    @Excel(name = "第四节课开始时间")
    private String fourStartTime;

    /** 第四节课结束时间 */
    @Excel(name = "第四节课结束时间")
    private String fourEndTime;

    /** 第五节课开始时间 */
    @Excel(name = "第五节课开始时间")
    private String fiveStartTime;

    /** 第五节课结束时间 */
    @Excel(name = "第五节课结束时间")
    private String fiveEndTime;

    /** 第六节课开始时间 */
    @Excel(name = "第六节课开始时间")
    private String sixStartTime;

    /** 第六节课结束时间 */
    @Excel(name = "第六节课结束时间")
    private String sixEndTime;

    /** 第七节课开始时间 */
    @Excel(name = "第七节课开始时间")
    private String sevenStartTime;

    /** 第七节课结束时间 */
    @Excel(name = "第七节课结束时间")
    private String sevenEndTime;

    /** 第八节课开始时间 */
    @Excel(name = "第八节课开始时间")
    private String eightStartTime;

    /** 第八节课结束时间 */
    @Excel(name = "第八节课结束时间")
    private String eightEndTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(String schoolId) 
    {
        this.schoolId = schoolId;
    }

    public String getSchoolId() 
    {
        return schoolId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setOneStartTime(String oneStartTime) 
    {
        this.oneStartTime = oneStartTime;
    }

    public String getOneStartTime() 
    {
        return oneStartTime;
    }
    public void setOneEndTime(String oneEndTime) 
    {
        this.oneEndTime = oneEndTime;
    }

    public String getOneEndTime() 
    {
        return oneEndTime;
    }
    public void setTwoStartTime(String twoStartTime) 
    {
        this.twoStartTime = twoStartTime;
    }

    public String getTwoStartTime() 
    {
        return twoStartTime;
    }
    public void setTwoEndTime(String twoEndTime) 
    {
        this.twoEndTime = twoEndTime;
    }

    public String getTwoEndTime() 
    {
        return twoEndTime;
    }
    public void setThreeStartTime(String threeStartTime) 
    {
        this.threeStartTime = threeStartTime;
    }

    public String getThreeStartTime() 
    {
        return threeStartTime;
    }
    public void setThreeEndTime(String threeEndTime) 
    {
        this.threeEndTime = threeEndTime;
    }

    public String getThreeEndTime() 
    {
        return threeEndTime;
    }
    public void setFourStartTime(String fourStartTime) 
    {
        this.fourStartTime = fourStartTime;
    }

    public String getFourStartTime() 
    {
        return fourStartTime;
    }
    public void setFourEndTime(String fourEndTime) 
    {
        this.fourEndTime = fourEndTime;
    }

    public String getFourEndTime() 
    {
        return fourEndTime;
    }
    public void setFiveStartTime(String fiveStartTime) 
    {
        this.fiveStartTime = fiveStartTime;
    }

    public String getFiveStartTime() 
    {
        return fiveStartTime;
    }
    public void setFiveEndTime(String fiveEndTime) 
    {
        this.fiveEndTime = fiveEndTime;
    }

    public String getFiveEndTime() 
    {
        return fiveEndTime;
    }
    public void setSixStartTime(String sixStartTime) 
    {
        this.sixStartTime = sixStartTime;
    }

    public String getSixStartTime() 
    {
        return sixStartTime;
    }
    public void setSixEndTime(String sixEndTime) 
    {
        this.sixEndTime = sixEndTime;
    }

    public String getSixEndTime() 
    {
        return sixEndTime;
    }
    public void setSevenStartTime(String sevenStartTime) 
    {
        this.sevenStartTime = sevenStartTime;
    }

    public String getSevenStartTime() 
    {
        return sevenStartTime;
    }
    public void setSevenEndTime(String sevenEndTime) 
    {
        this.sevenEndTime = sevenEndTime;
    }

    public String getSevenEndTime() 
    {
        return sevenEndTime;
    }
    public void setEightStartTime(String eightStartTime) 
    {
        this.eightStartTime = eightStartTime;
    }

    public String getEightStartTime() 
    {
        return eightStartTime;
    }
    public void setEightEndTime(String eightEndTime) 
    {
        this.eightEndTime = eightEndTime;
    }

    public String getEightEndTime() 
    {
        return eightEndTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("schoolName", getSchoolName())
            .append("oneStartTime", getOneStartTime())
            .append("oneEndTime", getOneEndTime())
            .append("twoStartTime", getTwoStartTime())
            .append("twoEndTime", getTwoEndTime())
            .append("threeStartTime", getThreeStartTime())
            .append("threeEndTime", getThreeEndTime())
            .append("fourStartTime", getFourStartTime())
            .append("fourEndTime", getFourEndTime())
            .append("fiveStartTime", getFiveStartTime())
            .append("fiveEndTime", getFiveEndTime())
            .append("sixStartTime", getSixStartTime())
            .append("sixEndTime", getSixEndTime())
            .append("sevenStartTime", getSevenStartTime())
            .append("sevenEndTime", getSevenEndTime())
            .append("eightStartTime", getEightStartTime())
            .append("eightEndTime", getEightEndTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
